import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner tenant settings set

Sets Microsoft Planner configuration of the tenant

## Usage

```sh
m365 planner tenant settings set [options]
```

## Options

```md definition-list
`--isPlannerAllowed [isPlannerAllowed]`
: Configure whether Planner should be enabled on the tenant.

`--allowCalendarSharing [allowCalendarSharing]`
: Configure whether Outlook calendar sync is enabled.

`--allowTenantMoveWithDataLoss [allowTenantMoveWithDataLoss]`
: Configure whether a tenant move into a new region is authorized.

`--allowTenantMoveWithDataMigration [allowTenantMoveWithDataMigration]`
: Configure whether a tenant move with data migration is authorized.

`--allowRosterCreation [allowRosterCreation]`
: Configure whether Planner roster creation is allowed.

`--allowPlannerMobilePushNotifications [allowPlannerMobilePushNotifications]`
: Configure whether push notifications are enabled in the mobile app.
```

<Global />

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions |
  |-----------------|-------------|
  | Microsoft Graph | email       |

  :::info

  To use this command you must be a **global administrator**.

  :::

  </TabItem>
  <TabItem value="Application">

  This command does not support application permissions.

  </TabItem>
</Tabs>

## Examples

Disable Microsoft Planner in the tenant.

```sh
m365 planner tenant settings set --isPlannerAllowed false
```

Disable Outlook calendar sync and mobile push notifications.

```sh
m365 planner tenant settings set --allowCalendarSharing false --allowPlannerMobilePushNotifications false
```

Enable Microsoft Planner but disallow roster plans to be created.

```sh
m365 planner tenant settings set --isPlannerAllowed true --allowRosterCreation false
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "id": "1",
    "isPlannerAllowed": true,
    "allowCalendarSharing": true,
    "allowTenantMoveWithDataLoss": false,
    "allowTenantMoveWithDataMigration": false,
    "allowRosterCreation": true,
    "allowPlannerMobilePushNotifications": true,
    "allowFileRecommendations": true,
    "enforceClientLicenseCheck": false,
    "allowDataFlowToDataverse": true,
    "allowPlannerCopilot": true,
    "disallowedSharedWithContainerTypes": [
      {
        "hostContainerType": "group",
        "sharedWithContainerType": "roster"
      }
    ]
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```txt
  allowCalendarSharing               : true
  allowDataFlowToDataverse           : true
  allowFileRecommendations           : true
  allowPlannerCopilot                : true
  allowPlannerMobilePushNotifications: true
  allowRosterCreation                : true
  allowTenantMoveWithDataLoss        : false
  allowTenantMoveWithDataMigration   : false
  disallowedSharedWithContainerTypes : [{"hostContainerType":"group","sharedWithContainerType":"roster"}]
  enforceClientLicenseCheck          : false
  id                                 : 1
  isPlannerAllowed                   : true
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  id,isPlannerAllowed,allowCalendarSharing,allowTenantMoveWithDataLoss,allowTenantMoveWithDataMigration,allowRosterCreation,allowPlannerMobilePushNotifications,allowFileRecommendations,enforceClientLicenseCheck,allowDataFlowToDataverse,allowPlannerCopilot
  1,1,1,0,0,1,1,1,0,1,1
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # planner tenant settings set --isPlannerAllowed true

  Date: 4/2/2023

  ## 1

  Property | Value
  ---------|-------
  id | 1
  isPlannerAllowed | true
  allowCalendarSharing | true
  allowTenantMoveWithDataLoss | false
  allowTenantMoveWithDataMigration | false
  allowRosterCreation | true
  allowPlannerMobilePushNotifications | true
  allowFileRecommendations | true
  enforceClientLicenseCheck | false
  allowDataFlowToDataverse | true
  allowPlannerCopilot | true
  ```

  </TabItem>
</Tabs>
